import { defHttp } from '@/utils/http/axios';

enum Api {
  LoadPage = '/api/DroneCaseinfo/LoadCaseTopic',
  GetTopicRelevance = '/api/DroneCaseinfo/LoadTopicRelevance',
  GetCaseTypeList = '/api/SysDataItemDetail/Load',
  GetRoleList = '/api/Roles/LoadPage',
  AddTopicCaseType = '/api/DroneCaseinfo/AddTopicCaseType',
  AddTopicRole = '/api/DroneCaseinfo/AddTopicRole',
}
export function LoadPage(params) {
  return defHttp.get({ url: Api.LoadPage, params });
}
export function GetTopicRelevance(params) {
  return defHttp.get({ url: Api.GetTopicRelevance, params });
}
export function GetCaseTypeList(params) {
  params = { ...params, code: 'DRONE_CASE_TYPE' };
  return defHttp.get({ url: Api.GetCaseTypeList, params });
}
export function GetRoleList(params) {
  return defHttp.get({ url: Api.GetRoleList, params });
}
export function AddTopicCaseType(params) {
  return defHttp.post({ url: Api.AddTopicCaseType, params });
}
export function AddTopicRole(params) {
  return defHttp.post({ url: Api.AddTopicRole, params });
}
